package cn.iocoder.yudao.module.pms.dal.mysql.iotmodel;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.pms.controller.admin.iotmodel.vo.IotModelPageReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.iotmodel.IotModelDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * PMS 功能优化 规格型号 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface IotModelMapper extends BaseMapperX<IotModelDO> {

    default PageResult<IotModelDO> selectPage(IotModelPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<IotModelDO>()
                .likeIfPresent(IotModelDO::getName, reqVO.getName())
                .eqIfPresent(IotModelDO::getBrand, reqVO.getBrand())
                .eqIfPresent(IotModelDO::getStandard, reqVO.getStandard())
                .eqIfPresent(IotModelDO::getSort, reqVO.getSort())
                .eqIfPresent(IotModelDO::getStatus, reqVO.getStatus())
                .eqIfPresent(IotModelDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(IotModelDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(IotModelDO::getId));
    }

}